Subject: Re: [PATCH] drivers/net: spidernet driver on Celleb

From: [email-masked] (Linas Vepstas)
Date: Tue, 12 Dec 2006 19:14:35 -0600

On Tue, Dec 12, 2006 at 02:25:50PM +0900, Ishizaki Kou wrote:
> 
> Following are the changes.
> -This patch enables auto-negotiation.
> -Loading firmware is done when spidernet_open() is called.
> -And this patch adds other several small changes for Celleb. 
> -This patch is not tested on CellBlade.

I just tested this, and it does not work. Jim Lewis is gone
until the new year. However, as he was leaving, he grumbled something
about how autonegotiation simply won't work on the spider. 
(I didn't think to ask about the details). Perhaps he'll 
look at his email soon?

I've been trying to figure out how to modify the patch to make it 
work anyway, but so far, no success. 

Basically, in genmii_poll_link(), 
  status = phy_read(phy, MII_BMSR);
    status & BMSR_LSTATUS will always be zero.

So I tried ignoring this value, and calling setup_forced()
However, this still doesn't get the thing working.
I am somewhat at a loss to see why right now, since
I don't see what may be causing this.

--linas